<?php

namespace App\Providers;

use App\Models\Amministratore;
use App\Models\User;
use App\Observers\AmministratoreObserver;
use App\Observers\UserObserver;
use Illuminate\Support\ServiceProvider;

class ObserverServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        Amministratore::observe(AmministratoreObserver::class);
        User::observe(UserObserver::class);
    }
}
